org.apache.ignite.internal.commandline.cache.distribution

## Class CacheDistributionNode

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.commandline.cache.distribution.CacheDistributionNode

All Implemented Interfaces:
  Externalizable, Serializable

    public class CacheDistributionNode
    extends VisorDataTransferObject

DTO for CacheDistributionTask, contains information about node

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`CacheDistributionNode()` Default constructor.
`CacheDistributionNode(UUID nodeId, String addrs, Map<String,String> userAttrs, List<CacheDistributionGroup> groups)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAddresses()`
`List<CacheDistributionGroup>` `getGroups()`
`UUID` `getNodeId()`
`Map<String,String>` `getUserAttributes()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`void` `setAddresses(String addrs)`
`void` `setGroups(List<CacheDistributionGroup> groups)`
`void` `setNodeId(UUID nodeId)`
`void` `setUserAttributes(Map<String,String> userAttrs)`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheDistributionNode

    public CacheDistributionNode()

Default constructor.

#### CacheDistributionNode

    public CacheDistributionNode(UUID nodeId,
                                 String addrs,
                                 Map<String,String> userAttrs,
                                 List<CacheDistributionGroup> groups)

Parameters:
  `nodeId` - Node identifier.
  `addrs` - Network addresses.
  `userAttrs` - Map node user attribute.
  `groups` - Information about groups.

### Method Detail

#### getNodeId

    public UUID getNodeId()

#### setNodeId

    public void setNodeId(UUID nodeId)

#### getAddresses

    public String getAddresses()

#### setAddresses

    public void setAddresses(String addrs)

#### getUserAttributes

    public Map<String,String> getUserAttributes()

Returns:
  User attribute in result.

#### setUserAttributes

    public void setUserAttributes(Map<String,String> userAttrs)

Parameters:
  `userAttrs` - New user attribute in result.

#### getGroups

    public List<CacheDistributionGroup> getGroups()

#### setGroups

    public void setGroups(List<CacheDistributionGroup> groups)

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018